Overview
GET
/system/audit-eventssystemList audit_events
List audit-events.
Auth: bearerAuth — calls run as the authenticated user.
Responses
200
List
- idstring
- ecosystemIdstring?
- developerIdstring?
- actorUserIdstring?
- eventTypestring
- payloadstring
- ipAddressstring
- userAgentstring
- createdAtstring
Example
[
{
"id": "string",
"ecosystemId": "string",
"developerId": "string",
"actorUserId": "string",
"eventType": "string",
"payload": "string",
"ipAddress": "string",
"userAgent": "string",
"createdAt": "string"
}
]401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/system/audit-events" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/system/audit-events", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();